﻿# Division template historical names system. Is a new method of naming the divisions based on the names-group assigned to it's template.
# If we run out of all historical names, the names will be assigned in the old way.
#
# Each group has a made up tag. Use it if you want to append more, or replace existing names with the extra txt files (modding).
#
# for_countries - lists all countries that can use it. If empty, or entire tag is missing, all countries in the world can use it.
#
# can_use - is a trigger that locks/unlocks the group under specific circumstances. The trigger is in a country scope.
#
# division_types - is a list of tokens to corresponding unit types. A player can in fact use any group of names for a div.template
#				  however this tag is a helper for an automated choice (for AI, or if the group must switch on it's own, because
#				  for example the current one is no longer available due to the can_use trigger saying so).
#				  In automated choice, the division template must have at least 1 of the following types for it to be chosen.
#
# fallback_name - Is going to be used if we run out of the scripted historical names. If you want to use the old division naming
#				 mechanics to be used for fallbacks, then just skip this option.
#
# unordered - It's a list of historical division names that did not have a number. Regardless if such names happened in history or not
#			 this option is available here mainly for a mods.
#
# ordered - Is a list of all historical names.
#		   Numbers must start from 1 and up.
#		   Numbers can't repeat in one scope.
#		   If you script the name for this group, at the same number (for example in a mod in another file), the name will be override.
#		   All arguments between the brackets must be separated by spaces. Each argument is wrapped in "quotas".
#		   1st argument = The name. It must contain either:
#						  %d (for decimal number placement)
#						  %s (for string number placement - ROMAN numbers like XIV).
#		   2nd argument is optional = A localizable text describing this historical division. The text will be visible in the tooltip
#									  where you choose the historical division name.
#		   3rd argument is optional = An URL preferably pointing to the WIKI. It's a future feature that is not currently working in
#									  the current game version.

SWE_MEC_01 = {
	name = "Mechanised Battalions"

	for_countries = { SWE }



	division_types = { "Arm_Inf_Bat" }

	link_numbering_with = { SWE_MEC_02 }

	fallback_name = "%d. Mekaniserade Bataljonen"

	# Names with numbers (only one number per entry).
	# It's okay to have gaps in numbering.
	ordered = {
		41 = { "41:a Mekaniserade Bataljonen" }
		42 = { "42:a Mekaniserade Bataljonen" }
		72 = { "72:a Mekaniserade Bataljonen" }
	}
}

SWE_MEC_02 = {
	name = "Light Mechanised Battalions"

	for_countries = { SWE }



	division_types = { "Mech_Inf_Bat" }

	link_numbering_with = { SWE_MEC_01 }

	fallback_name = "%d. Lätta Mekaniserade Bataljonen"

	ordered = {
		71 = { "71:a Lätta Mekaniserade Bataljonen" }
	}
}

SWE_MEC_03 = {
	name = "Mechanised Battlegroups"

	for_countries = { SWE }



	division_types = { "Mech_Inf_Bat" "Arm_Inf_Bat" }

	fallback_name = "%d. Stridsgrupp"

	ordered = {
		1 = { "Stridsgrupp Gotland" }
	}
}

SWE_MEC_04 = {
	name = "Mechanised Regiments"

	for_countries = { SWE }



	division_types = { "Mech_Inf_Bat" "Arm_Inf_Bat" }

	fallback_name = "%d. Mekaniserade Regementen"

	ordered = {
		1 = { "Jämtlands fältjägarregemente" }
		2 = { "Södra Skånska Regementet" }
		3 = { "Skaraborg Regementet" }
	}
}

SWE_MEC_05 = {
	name = "Mechanised Brigades"

	for_countries = { SWE }



	division_types = { "Mech_Inf_Bat" "Arm_Inf_Bat" }

	fallback_name = "%d. Mekaniserade Brigaden"
}

SWE_ARM_01 = {
	name = "Armoured Battalions"

	for_countries = { SWE }



	division_types = { "armor_Bat" }

	fallback_name = "%d. Pansarbataljonen"

	ordered = {
		1 = { "Norrbottens Pansarbataljon" }
	}
}

SWE_ARM_02 = {
	name = "Armoured Regiments"

	for_countries = { SWE }



	division_types = { "armor_Bat" }

	fallback_name = "%d. Pansarregementen"

	ordered = {
		1 = { "Norrbottens Regemente" }
		2 = { "Södermanlands Regemente" }
		3 = { "Gotlands Regemente" }
	}
}

SWE_ARM_03 = {
	name = "Armoured Brigades"

	for_countries = { SWE }



	division_types = { "armor_Bat" }

	fallback_name = "%d. Pansarbrigaden"
}

SWE_AIR_01 = {
	name = "Airborne Hussar Regiments"

	for_countries = { SWE }



	division_types = { "L_Air_Inf_Bat" "Mot_Air_Inf_Bat" "Mech_Air_Inf_Bat" "Arm_Air_Inf_Bat" "L_Air_assault_Bat" "Arm_Air_assault_Bat" }

	fallback_name = "%d. Luftburna Husarregementet"

	ordered = {
		1 = { "Livregementets Husarer" }
	}
}

SWE_MOT_01 = {
	name = "Motorised Battalions"

	for_countries = { SWE }



	division_types = { "Mot_Inf_Bat" }

	fallback_name = "%d. Motoriserade Bataljonen"

	ordered = {
		12 = { "12:e Motoriserade Bataljonen" }
	}
}

SWE_MOT_02 = {
	name = "Motorised Regiments"

	for_countries = { SWE }



	division_types = { "Mot_Inf_Bat" }

	fallback_name = "%d. Motoriserade Regementen"

	ordered = {
		1 = { "Livgardet" }
	}
}

SWE_MOT_03 = {
	name = "Motorised Brigades"

	for_countries = { SWE }



	division_types = { "Mot_Inf_Bat" }

	fallback_name = "%d. Motoriserade Brigaden"
}

SWE_INF_01 = {
	name = "Lifeguards"

	for_countries = { SWE }



	division_types = { "L_Inf_Bat" }

	fallback_name = "%d. Livbataljonen"

	ordered = {
		10 = { "10:e Livbataljonen" }
	}
}

SWE_INF_02 = {
	name = "Home Guards"

	for_countries = { SWE }



	division_types = { "L_Inf_Bat" "Militia_Bat" "Mot_Militia_Bat" }

	fallback_name = "%d. Fältjägarbataljonen"

	ordered = {
		10 = { "10. Lapplandsjägarbataljonen" }
		11 = { "11. Gränsjägarbataljonen" }
		12 = { "12. Norrbottensbataljonen" }
		13 = { "13. Västerbottensbataljonen" }
		14 = { "14. Fältjägarbataljonen" }
		15 = { "15. Ångermanlandsbataljonen" }
		16 = { "16. Medelpadsbataljonen" }
		17 = { "17. Dalabataljonen" }
		18 = { "18. Gävleborgsbataljonen" }
		19 = { "19. Värmlandsbataljonen" }
		20 = { "20. Sannahedsbataljonen" }
		21 = { "21. Upplandsbataljonen" }
		22 = { "22. Västmanlandsbataljonen" }
		23 = { "23. Attundalandsbataljonen" }
		24 = { "24. Stockholmsbataljonen" }
		25 = { "25. Taeliehusbataljonen" }
		26 = { "26. Järvabataljonen" }
		27 = { "27. Södermanlandsbataljonen" }
		28 = { "28. Roslagsbataljonen" }
		29 = { "29. Södertörnsbataljonen" }
		30 = { "30. (1st) Livgrenadjärbataljonen" }
		31 = { "31. (2nd) Livgrenadjärbataljonen" }
		32 = { "32. Gotlandsbataljonen" }
		33 = { "33. Norra Smålandsbataljonen" }
		34 = { "34. Kalmarbataljonen" }
		35 = { "35. Kronobergsbataljonen" }
		36 = { "36. Blekinge västra bataljon" }
		37 = { "37. Blekinge östra bataljon" }
		38 = { "38. Kinnebataljonen" }
		39 = { "39. Kåkindbataljonen" }
		40 = { "40. Bohusbataljonen" }
		41 = { "41. Göteborgs södra bataljon" }
		42 = { "42. Göteborgs norra bataljon" }
		43 = { "43. Göteborgs skärgårds bataljon" }
		44 = { "44. Älvsborgsbataljonen" }
		45 = { "45. Hallandsbataljonen" }
		46 = { "46. Södra skånska bataljonen" }
		47 = { "47. Malmöhusbataljonen" }
		48 = { "48. Skånska dragonbataljonen" }
		49 = { "49. Norra skånska bataljonen" }
	}
}

SWE_INF_03 = {
	name = "Dragoon Regiments"

	for_countries = { SWE }



	division_types = { "L_Inf_Bat" "Mot_Inf_Bat" "Special_Forces" }

	fallback_name = "%d. Dragonregementet"

	ordered = {
		1 = { "Norrlands Dragonregemente" }
	}
}

SWE_SPEC_01 = {
	name = "Jäger Battalions"

	for_countries = { SWE }



	division_types = { "Special_Forces" }

	fallback_name = "%d. Jägarbataljonen"

	ordered = {
		193 = { "193:a Jägarbataljon" }
	}
}

SWE_MAR_01 = {
	name = "Amphibious Battalions"

	for_countries = { SWE }



	division_types = { "L_Marine_Bat" "Mot_Marine_Bat" "Mech_Marine_Bat" "Arm_Marine_Bat" }

	fallback_name = "%d. Amfibebataljonen"

	ordered = {
		2 = { "2:a Amfibebataljonen" }
	}
}